# Los Angeles County Metropolitan Transportation Authority's GTFS for Rail.
## updated 2016-11-19 02:00:03 PST America/Los_Angeles

As of May 6th, 2016 The LACMTA is now publishing our Bus and Rail Services in separate Google Transit Exports ONLY. As a customer service, and to allow us to update these files more frequently, we have split these files up. The new rail-only export will be updated Daily (generally Tuesday-Saturday mornings), to allow us to send out more timely information and to allow our users to capture all temporary rail service changes that may occur on a daily basis. The bus-only exports will continue to be provided as large-scale changes to the system occur -- generally once every one or two months. We will NOT continue to maintain the combined service feeds.

### Evergreen link to the gtfs_rail.zip archive: [https://gitlab.com/LACMTA/gtfs_rail/raw/master/gtfs_rail.zip](https://gitlab.com/LACMTA/gtfs_rail/raw/master/gtfs_rail.zip)

### Link to LACMTA's Bus Data: [https://gitlab.com/LACMTA/gtfs_bus/](https://gitlab.com/LACMTA/gtfs_bus/)

### Join our developer community at [http://developer.metro.net](http://developer.metro.net) to learn more about using this data.

### zip archive contents
```
 Length   Creation datetime         Name        
-----------------------------------------------
     147  2016-11-19 01:02   agency.txt         
    2056  2016-11-19 01:02   calendar.txt       
     391  2016-11-19 01:02   calendar_dates.txt 
     642  2016-11-19 01:02   routes.txt         
  273495  2016-03-16 15:09   shapes.txt         
   29290  2016-03-16 13:31   stops.txt          
12835234  2016-11-19 01:03   stop_times.txt     
  650674  2016-11-19 01:02   trips.txt          
```

## Summary of changes
```
commit 194f1a5ed52d1928dbcc3e8f34a74cf37bdb9f1b
Author: douglasgoodwin <dgoodwin@gmail.com>
Date:   Fri Nov 18 10:00:04 2016 +0000

    2016-11-18 02:00:03 PST America/Los_Angeles

 README.md          |    34 +-
 calendar.txt       |    37 +-
 calendar_dates.txt |    19 +-
 gtfs_rail.zip      |   Bin 1127036 -> 1371694 bytes
 stop_times.txt     | 72820 ++++++++++++++++++++++++++++++++++++++-------------
 trips.txt          |  4546 +++-
 6 files changed, 57689 insertions(+), 19767 deletions(-)
```

## Subscribing to changes

### Get the latest commit ID with Curl

```
#!/bin/sh

url="https://gitlab.com/LACMTA/gtfs_rail/commits/master.atom"

curl --silent "$url" | grep -E '(title>|updated>)' | \
  sed -n '4,$p' | \
  sed -e 's/<title>//' -e 's/<\/title>//' -e 's/<updated>/   /' \
      -e 's/<\/updated>//' | \
  head -2 | fmt

# returns:
# 2015-12-31T13:09:36Z
#    new info from SPA and instructions on preparing the archive
```

### Get the latest commit ID with Python

```
#!/bin/env python

import feedparser

url = 'https://gitlab.com/LACMTA/gtfs_rail/commits/master.atom'
d = feedparser.parse(url)
lastupdate = d['feed']['updated']

print(lastupdate)

```

See the [http://developer.metro.net/the-basics/policies/terms-and-conditions/](http://developer.metro.net/the-basics/policies/terms-and-conditions/) page for terms and conditions.
